summaryrefslogtreecommitdiff
path: root/unmaintained/uboot-am335x_bone/mkscr
diff options
context:
space:
mode:
Diffstat (limited to 'unmaintained/uboot-am335x_bone/mkscr')
-rwxr-xr-xunmaintained/uboot-am335x_bone/mkscr9
1 files changed, 9 insertions, 0 deletions
diff --git a/unmaintained/uboot-am335x_bone/mkscr b/unmaintained/uboot-am335x_bone/mkscr
new file mode 100755
index 000000000..272b6a7a5
--- /dev/null
+++ b/unmaintained/uboot-am335x_bone/mkscr
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+if [[ ! -x /usr/bin/mkimage ]]; then
+ echo "mkimage not found. Please install uboot-tools:"
+ echo " pacman -S uboot-tools"
+ exit 1
+fi
+
+mkimage -A arm -O linux -T script -C none -n "U-Boot boot script" -d boot.txt boot.scr